OpenMesh

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
List of all members
OpenMesh::Kernel_OSG::TriMesh_OSGArrayKernelT< Traits > Class Template Reference
Predefined Mesh Types

Triangle mesh based on the Kernel_OSG::ArrayKernelT. More...

`#include <OpenMesh/Tools/Kernel_OSG/TriMesh_OSGArrayKernelT.hh>`

Inheritance diagram for OpenMesh::Kernel_OSG::TriMesh_OSGArrayKernelT< Traits >:
[legend]
Collaboration diagram for OpenMesh::Kernel_OSG::TriMesh_OSGArrayKernelT< Traits >:
[legend]

## Additional Inherited Members
Public Types inherited from OpenMesh::TriMeshT< Kernel >
typedef TriMeshT< Kernel > | This
typedef PolyMeshT< Kernel > | PolyMesh
typedef PolyMesh::Scalar | Scalar
typedef PolyMesh::Point | Point
typedef PolyMesh::Normal | Normal
typedef PolyMesh::Color | Color
typedef PolyMesh::TexCoord1D | TexCoord1D
typedef PolyMesh::TexCoord2D | TexCoord2D
typedef PolyMesh::TexCoord3D | TexCoord3D
typedef PolyMesh::Vertex | Vertex
typedef PolyMesh::Halfedge | Halfedge
typedef PolyMesh::Edge | Edge
typedef PolyMesh::Face | Face
typedef PolyMesh::VertexHandle | VertexHandle
typedef PolyMesh::HalfedgeHandle | HalfedgeHandle
typedef PolyMesh::EdgeHandle | EdgeHandle
typedef PolyMesh::FaceHandle | FaceHandle
typedef PolyMesh::VertexIter | VertexIter
typedef PolyMesh::ConstVertexIter | ConstVertexIter
typedef PolyMesh::EdgeIter | EdgeIter
typedef PolyMesh::ConstEdgeIter | ConstEdgeIter
typedef PolyMesh::FaceIter | FaceIter
typedef PolyMesh::ConstFaceIter | ConstFaceIter
typedef PolyMesh::VertexVertexIter | VertexVertexIter
typedef PolyMesh::VertexOHalfedgeIter | VertexOHalfedgeIter
typedef PolyMesh::VertexIHalfedgeIter | VertexIHalfedgeIter
typedef PolyMesh::VertexEdgeIter | VertexEdgeIter
typedef PolyMesh::VertexFaceIter | VertexFaceIter
typedef PolyMesh::FaceVertexIter | FaceVertexIter
typedef PolyMesh::FaceHalfedgeIter | FaceHalfedgeIter
typedef PolyMesh::FaceEdgeIter | FaceEdgeIter
typedef PolyMesh::FaceFaceIter | FaceFaceIter
typedef PolyMesh::ConstVertexVertexIter | ConstVertexVertexIter
typedef PolyMesh::ConstVertexOHalfedgeIter | ConstVertexOHalfedgeIter
typedef PolyMesh::ConstVertexIHalfedgeIter | ConstVertexIHalfedgeIter
typedef PolyMesh::ConstVertexEdgeIter | ConstVertexEdgeIter
typedef PolyMesh::ConstVertexFaceIter | ConstVertexFaceIter
typedef PolyMesh::ConstFaceVertexIter | ConstFaceVertexIter
typedef PolyMesh::ConstFaceHalfedgeIter | ConstFaceHalfedgeIter
typedef PolyMesh::ConstFaceEdgeIter | ConstFaceEdgeIter
typedef PolyMesh::ConstFaceFaceIter | ConstFaceFaceIter
enum | { IsPolyMesh = 0 }
| Determine whether this is a PolyMeshT or TriMeshT ( This function does not check the per face vertex count! It only checks if the datatype is PolyMeshT or TriMeshT )
enum | { IsTriMesh = 1 }
| Determine whether this is a PolyMeshT or TriMeshT ( This function does not check the per face vertex count! It only checks if the datatype is PolyMeshT or TriMeshT )
Public Member Functions inherited from OpenMesh::TriMeshT< Kernel >
| TriMeshT ()
| Default constructor.
virtual | ~TriMeshT ()
| Destructor.
HalfedgeHandle | vertex_split (Point _v0_point, VertexHandle _v1, VertexHandle _vl, VertexHandle _vr)
| Vertex Split: inverse operation to collapse().
HalfedgeHandle | vertex_split (VertexHandle _v0, VertexHandle _v1, VertexHandle _vl, VertexHandle _vr)
| Vertex Split: inverse operation to collapse().
VertexHandle | split (EdgeHandle _eh, const Point &_p)
| Edge split (= 2-to-4 split)
VertexHandle | split_copy (EdgeHandle _eh, const Point &_p)
| Edge split (= 2-to-4 split)
void | split (EdgeHandle _eh, VertexHandle _vh)
| Edge split (= 2-to-4 split)
void | split_copy (EdgeHandle _eh, VertexHandle _vh)
| Edge split (= 2-to-4 split)
VertexHandle | split (FaceHandle _fh, const Point &_p)
| Face split (= 1-to-3 split, calls corresponding PolyMeshT function).
VertexHandle | split_copy (FaceHandle _fh, const Point &_p)
| Face split (= 1-to-3 split, calls corresponding PolyMeshT function).
void | split (FaceHandle _fh, VertexHandle _vh)
| Face split (= 1-to-3 split, calls corresponding PolyMeshT function).
void | split_copy (FaceHandle _fh, VertexHandle _vh)
| Face split (= 1-to-3 split, calls corresponding PolyMeshT function).
Normal | calc_face_normal (FaceHandle _fh) const
| Calculate normal vector for face _fh (specialized for TriMesh).
Static Public Member Functions inherited from OpenMesh::TriMeshT< Kernel >
static bool | is_polymesh ()
| Determine whether this is a PolyMeshT or TriMeshT ( This function does not check the per face vertex count! It only checks if the datatype is PolyMeshT or TriMeshT )
static bool | is_trimesh ()
| Determine whether this is a PolyMeshT or TriMeshT ( This function does not check the per face vertex count! It only checks if the datatype is PolyMeshT or TriMeshT )
Static Public Member Functions inherited from OpenMesh::PolyMeshT< Kernel >

## Detailed Description

### template<class Traits = Kernel_OSG::Traits>
class OpenMesh::Kernel_OSG::TriMesh_OSGArrayKernelT< Traits >

Triangle mesh based on the Kernel_OSG::ArrayKernelT.

See Also
  OpenMesh::TriMeshT
  OpenMesh::ArrayKernelT

The documentation for this class was generated from the following file:

- OpenMesh/Tools/Kernel_OSG/TriMesh_OSGArrayKernelT.hh